Bug 10924 - libqgl.a fails to link against libqt.so.2.1.0
Summary: libqgl.a fails to link against libqt.so.2.1.0
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: qt   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-19 17:44 UTC by David Lawrence
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-18 20:51:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dgibson 2000-04-19 17:44:20 UTC
In /usr/lib/qt-2.1.0, libqgl.a fails to link against libqt.so.2.1.0
There are several unresolved references reported. Name mangling
does NOT appear to be the problem as a dump of the name tables
(using "nm libqgl.a") appears to be the same (or at least very
close).

If I compile my own version of libqgl.a (eg., using qt-2.0.2 sources),
and link with it instead of the system-supplied libraries, everything
runs correctly. I did not need to replace libqt.so.2.1.0 for this
to work.

... John G. Shaw

Comment 1 Bernhard Rosenkraenzer 2001-04-18 21:52:53 UTC
libqgl is obsolete (it's part of the current Qt base).
Update Qt to the current version and you can use the GL classes without the 
need for a separate libqgl.




Note You need to log in before you can comment on or make changes to this bug.